server:
  port: 9003
  tomcat:
    accesslog:
      enabled: true
      buffered: true
      directory: /var/logs
      file-date-format: -yyyy-MM-dd
      pattern: common
      prefix: tomcat-education
      rename-on-rotate: false
      request-attributes-enabled: false
      rotate: true
      suffix: .log

eureka:
  client:
    serviceUrl:
      defaultZone: http://admin:admin123@localhost:8761/eureka/eureka/
      register-with-eureka: false #是否将自己注册到Eureka Server上，默认为true
      fetch-registry: false #是否从Eureka Server上获取注册信息，默认为true
spring:
  application:
    name: education-server

  datasource:
    name: test
    url: jdbc:mysql://47.99.212.176:3306/mec_dev?useUnicode=true&characterEncoding=UTF8&serverTimezone=Asia/Shanghai
    username: mec_dev
    password: mec_dev
    # 使用druid数据源
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    filters: stat
    maxActive: 20
    initialSize: 1
    maxWait: 60000
    minIdle: 1
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20

  redis:
    host: 47.99.212.176
    port: 6379
    password:
    database: 0
    #连接超时时间（毫秒）
    timeout: 10000
    pool:
      #连接池最大连接数（使用负值表示没有限制）
      max-active: 10
      #连接池最大阻塞等待时间（使用负值表示没有限制）
      max-wait: -1
      #连接池中的最大空闲连接
      max-idle: 10
      #连接池中的最小空闲连接
      min-idle: 0

mybatis-plus:
  mapper-locations: classpath*:mapper/*.xml,classpath*:config/mybatis/*.xml
  typeAliasesPackage : com.ym.mec.education.entity
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
swagger:
  base-package: com.ym.mec.education.controller

##认证
security:
  oauth2:
    client:
      client-id: app
      client-secret: app
    resource:
      token-info-uri: http://localhost:8001/oauth/check_token

#spring boot admin 相关配置
management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: ALWAYS


ribbon:  
    ReadTimeout: 60000  
    ConnectTimeout: 60000
